PUT /documents/imports/files/\{id\}
PUT/documents/imports/files/:id
PUT /documents/imports/files/{id}
Request
Path Parameters
id int64required
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
Body
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
Body
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
Body
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"import_id": 0,
"status": "string",
"aws_file": "string",
"target_type": "string",
"require_approval": true,
"file_type": "string",
"file_name": "string",
"file_extension": "string",
"file_size": "string",
"file_mime": "string"
}
- Schema
- Example (from schema)
Schema
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"import_id": 0,
"status": "string",
"aws_file": "string",
"target_type": "string",
"require_approval": true,
"file_type": "string",
"file_name": "string",
"file_extension": "string",
"file_size": "string",
"file_mime": "string"
}
- Schema
- Example (from schema)
Schema
id int64
created_at date-timenullable
import_id int64nullable
status stringnullable
processing_log nullable
aws_file stringnullable
target_type stringnullable
target_data nullable
require_approval boolean
file_type stringnullable
file_name stringnullable
file_extension stringnullable
file_size stringnullable
file_mime stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"import_id": 0,
"status": "string",
"aws_file": "string",
"target_type": "string",
"require_approval": true,
"file_type": "string",
"file_name": "string",
"file_extension": "string",
"file_size": "string",
"file_mime": "string"
}
Loading...